.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)du.1	8.2 (Berkeley) 4/1/94
.\" $FreeBSD: src/usr.bin/du/du.1,v 1.6.2.4 1999/09/05 11:32:03 peter Exp $
.\"
.Dd April 1, 1994
.Dt DU 1
.Os
.Sh NAME
.Nm du
.Nd display disk usage statistics
.Sh SYNOPSIS
.Nm du
.Op Fl P | Fl H | Fl L
.Op Fl a | s | d Ar depth
.Op Fl c
.Op Fl k
.Op Fl x
.Op Ar file ...
.Sh DESCRIPTION
The
.Nm du
utility displays the file system block usage for each file argument
and for each directory in the file hierarchy rooted in each directory
argument.
If no file is specified, the block usage of the hierarchy rooted in
the current directory is displayed.
If the
.Fl k
flag is specified, the number of 1024-byte
blocks used by the file is displayed, otherwise
.Xr getbsize 3
is used to determine the preferred block size.
Partial numbers of blocks are rounded up.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl P
No symbolic links are followed. (default)
.It Fl H
Symbolic links on the command line are followed, symbolic links in file
hierarchies are not followed.
.It Fl L
Symbolic links on the command line and in file hierarchies are followed.
.It Fl a
Display an entry for each file in a file hierarchy.
.It Fl s
Display an entry for each specified file. (Equivalent to
.Fl d
0 )
.It Fl d Ar depth
Display an entry for all files and directories
.Ar depth
directories deep.
.It Fl c
Display a grand total.
.It Fl k
Display block counts in 1024-byte (1-Kbyte) blocks.
.It Fl x
Filesystem mount points are not traversed.
.El
.Pp
.Nm Du
counts the storage used by symbolic links and not the files they
reference unless the
.Fl H
or 
.Fl L 
option is specified.
If either the
.Fl H
or
.Fl L
options are specified, storage used by any symbolic links which are
followed is not counted or displayed.
.Pp
Files having multiple hard links are counted (and displayed) a single
time per
.Nm du
execution.
.Sh ENVIRONMENT
.Bl -tag -width BLOCKSIZE
.It Ev BLOCKSIZE
If the environment variable
.Ev BLOCKSIZE
is set, and the
.Fl k
option is not specified, the block counts will be displayed in 1024-byte blocks. If
.Ev BLOCKSIZE
is not set, and the
.Fl k
option is not specified, the block counts will be displayed in 512-byte blocks.
.El
.Sh SEE ALSO
.Xr df 1 ,
.Xr fts 3 ,
.Xr symlink 7 ,
.Xr quot 8
.Sh HISTORY
A
.Nm du
command appeared in
.At v1 .
